Striim 3.9.4 / 3.9.5 documentation

Configuring your system to evaluate Striim

The following are the minimum requirements for evaluating Striim:

  • memory:

    • 4GB available for use by Striim (so the system should have at least 5 GB, preferably 8 GB or more)

    • Running the CDC sample apps will require a system with a minimum of 8 GB, preferably 12 GB or more

    • using Kafka streams may require a system with 12 GB or more

  • free disk space: minimum 10 GB, 20 GB recommended

  • supported operating systems:

    • Microsoft Windows 7 through 10, Windows Server 2008 and 2012

    • Mac OS X 10

    • 64-bit CentOS 6.7 through 7.4

    • 64-bit Ubuntu 14.04 and 16.04

  • supported Java environments:

    • recommended: 64-bit Oracle SE Development Kit 8 (required to use HTTPReader or SNMPParser)

    • 64-bit OpenJDK 8

  • web browser: The web client has been tested on Chrome. Other web browsers may work, but if you encounter bugs, try Chrome.

Warning

Do not install Striim on a computer with 4GB or less RAM.

To install Oracle Java SE Development Kit 8:

To verify that Java installed correctly, enter the following at the command line in a command prompt or terminal window:

java -version

The output should be:

java version "1.8.0_144"
Java(TM) SE Runtime Environment (build 1.8.0_144-b01)
Java HotSpot(TM) 64-Bit Server VM (build 25.144-b01, mixed mode)

Continue with the instructions in Installing Striim for evaluation purposes.